#pragma once
#include <stdafx.h>
#include <zList.h>

#include <ShellLinkCtrl.h>

// CLightMapSeq_dlg dialog

class CLightMapSeq_dlg : public CDialog
{
	DECLARE_DYNAMIC(CLightMapSeq_dlg)

public:
	CLightMapSeq_dlg(CWnd* pParent = NULL);   // standard constructor
	virtual ~CLightMapSeq_dlg();

// Dialog Data
	enum { IDD = IDD_LMSEQ_DIALOG };

	bool EditItem(int index);
	void DelItem(int index);

	void PrepareList();
	void PrepareButtons();

	CzList m_List;

	CShellLinkCtrl m_LinkCtrl;

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnBnClickedNewButton();
	afx_msg void OnBnClickedDelButton();
	afx_msg void OnLbnSelchangeList1();
	afx_msg void OnLbnDblclkList1();
	CButton m_NewEditBtnCtrl;
	CButton m_DelBtnCtrl;
	CListBox m_ListCtrl;
	virtual BOOL OnInitDialog();
	afx_msg void OnBnClickedBrowseButton();
	CString m_FileName;
	BOOL m_OpenDirFlag;
protected:
	virtual void OnOK();
};
